Valstorm LogoDev

notifications Endpoints

All endpoints for the notifications API group. Great for feeding into an LLM context.

POST

/v1/notifications/send

Send Notification

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/WebNotification"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/notifications/set-token

Set Notification Token

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "additionalProperties": true,
        "type": "object",
        "title": "Data"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/notifications

Send Notification Route

Summary: Send a notification to a user. Parameters: - notification: The notification to send. - current_user: The current user. - background_tasks: The background tasks. Returns: - A JSON response with the status of the notification.


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "items": {
          "$ref": "#/components/schemas/SendNotificationSetting"
        },
        "type": "array",
        "title": "Notifications"
      }
    }
  },
  "required": true
}
Responses
202
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/notifications/dynamic

Send Dynamic Notification Route

Summary: Send a dynamic notification without needing a predefined setting.


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "anyOf": [
          {
            "$ref": "#/components/schemas/DynamicNotificationRequest"
          },
          {
            "items": {
              "$ref": "#/components/schemas/DynamicNotificationRequest"
            },
            "type": "array"
          }
        ],
        "title": "Requests"
      }
    }
  },
  "required": true
}
Responses
202
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/notifications/mark-read

Mark Notification As Read

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "items": {
          "type": "string"
        },
        "type": "array",
        "title": "Notifications"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{
  "$ref": "#/components/schemas/MarketAsReadResponse"
}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/notifications/mark-read-by-key-value

Mark Notification Data As Read

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "anyOf": [
          {
            "additionalProperties": true,
            "type": "object"
          },
          {
            "items": {
              "additionalProperties": true,
              "type": "object"
            },
            "type": "array"
          }
        ],
        "title": "Data"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner